<template>
  <component
    :is="type === 'valve' ? 'ValveTypeCircuitIcon' : 'WaterInletTypeCircuitIcon'"
    :width="width"
    :fill="fill"
    :status="status"
  />
</template>

<script>
// BaseIcon
import BaseIcon from '@/components/commons/icons/BaseIcon'

/**
 * Circuit icon
 */
export default {
  name: 'CircuitIcon',
  extends: BaseIcon,
  props: {
    type: {
      type: String,
      default: 'valve'
    },
    status: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss" scoped>
// ...
</style>
